-#!/bin/bash
+#!/bin/sh
trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
LOCATION=$(which gnunet-config)
# (3) PKEY3.user -> PKEY4
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
TEST_ATTR="test"
TEST_ATTR2="test2"
-#!/bin/bash
+#!/bin/sh
trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
LOCATION=$(which gnunet-config)
# (5) GNUnet.developer -> Alice
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
gnunet-arm -s -c test_credential_lookup.conf
gnunet-identity -C service -c test_credential_lookup.conf
gnunet-identity -C alice -c test_credential_lookup.conf
echo "Done"
if [ "$RES_CRED" != "Failed." ]
then
- echo -e "${RES_CRED}"
- exit 0
+ # TODO: replace echo -e bashism.
+ echo -e "${RES_CRED}"
+ exit 0
else
- echo "FAIL: Failed to verify credential $RES_CRED."
- exit 1
+ echo "FAIL: Failed to verify credential $RES_CRED."
+ exit 1
fi
-#!/bin/bash
+#!/bin/sh
trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
LOCATION=$(which gnunet-config)
# (3) PKEY3.user -> PKEY4
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
TEST_ATTR="test"
gnunet-arm -s -c test_credential_lookup.conf
-#!/bin/bash
+#!/bin/sh
trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
LOCATION=$(which gnunet-config)
# (3) PKEY3.user -> PKEY4
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
TEST_ATTR="test"
gnunet-arm -s -c test_credential_lookup.conf
-#!/bin/bash
+#!/usr/bin/env bash
trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
LOCATION=$(which gnunet-config)
# (5) GNUnet.developer -> Alice
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
gnunet-arm -s -c test_credential_lookup.conf
gnunet-identity -C service -c test_credential_lookup.conf
gnunet-identity -C alice -c test_credential_lookup.conf
if [ "$RES_CRED" != "Failed." ]
then
+ # TODO: replace echo -e bashism
echo -e "${RES_CRED}"
exit 0
else
-#!/bin/bash
+#!/usr/bin/env bash
trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
LOCATION=$(which gnunet-config)
# (5) GNUnet.developer -> Alice
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
gnunet-arm -s -c test_credential_lookup.conf
gnunet-identity -C service -c test_credential_lookup.conf
gnunet-identity -C alice -c test_credential_lookup.conf
if [ "$RES_CRED" != "Failed." ]
then
+ # TODO: echo -e bashism
echo -e "${RES_CRED}"
exit 0
else
-#!/bin/bash
+#!/usr/bin/env bash
trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
LOCATION=$(which gnunet-config)
# (5) GNUnet.developer -> Alice
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
gnunet-arm -s -c test_credential_lookup.conf
gnunet-identity -C service -c test_credential_lookup.conf
gnunet-identity -C alice -c test_credential_lookup.conf
if [ "$RES_CRED" != "Failed." ]
then
+ # TODO: replace echo -e bashism
echo -e "${RES_CRED}"
exit 0
else
-#!/bin/bash
+#!/bin/sh
trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
LOCATION=$(which gnunet-config)
# (3) Isser.user -> Subject
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
gnunet-arm -s -c test_credential_lookup.conf
gnunet-identity -C testissuer -c test_credential_lookup.conf
gnunet-identity -C testsubject -c test_credential_lookup.conf